## gmidimonitor 3.4+git20101220

=== debian/changelog ===
gmidimonitor (3.4+git20101220-2) unstable; urgency=low

  * debian/control: Add lashd to Suggests. (Closes: #620268)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Apr 2011 21:39:37 +0900

gmidimonitor (3.4+git20101220-1) unstable; urgency=low

  * Initial release (Closes: #609779)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 24 Jan 2011 13:10:41 +0900
