=== debian/control ===
Source: gmidimonitor
Section: sound
Priority: extra
Maintainer: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev,
	libglade2-dev,
	libjack-jackd2-dev,
	libasound2-dev,
	liblash-dev,
	pkg-config,
Standards-Version: 3.9.1
Homepage: http://home.gna.org/gmidimonitor/
#Vcs-Git: git://git.debian.org/collab-maint/gmidimonitor.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/gmidimonitor.git;a=summary

Package: gmidimonitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: lashd
Description: GTK+ application that shows MIDI events
 GMIDImonitor is GTK+ application that shows MIDI events.
 .
 You need to connect desired source of MIDI events to gmidimonitor
 input using some kind of patchbay like qjackctl, patchage. For
 restoring  connections (not connecting every time) you can use LASH.
