## gmidimonitor 3.5

=== debian/changelog ===
gmidimonitor (3.5-2) unstable; urgency=low

  * Build-Depend on libjack-dev only (Closes: #628712).

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 Jun 2011 10:44:47 +0200

gmidimonitor (3.5-1) unstable; urgency=low

  [ TANIGUCHI Takaki ]
  * debian/control: Change Maintainer to Debian Multimedia Team.

  [ Alessio Treglia ]
  * Add myself as uploader.
  * New upstream release:
    - Switch to waf
    - Drop support for ancient JACK lib
    - Add support for modern ALSA lib
    - Use fixed client name
    - Don't try to use lash when started through ladish
    - jack and alsa selection at runtime
    - clean shutdown on SIGINT and SIGTERM (no JACK xruns anymore)
  * Upstream now uses waf as buildsystem, drop autotools.
  * Drop LASH support.
    - We are going to drop LASH in favor of ladish.
  * Set Vcs-* tags properly in debian/control.
  * Remove trailing comma from the Build-Depends field.
  * debian/copyright
    - Update copyright, licensing information.
    - Update to DEP-5 rev.174.
  * Add gbp config file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 May 2011 20:37:56 +0200
