=== debian/control ===
Source: gmidimonitor
Section: sound
Priority: extra
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
	libglade2-dev,
	libjack-dev,
	libasound2-dev,
	pkg-config,
	python
Standards-Version: 3.9.2
Homepage: http://home.gna.org/gmidimonitor/
Vcs-Git: git://git.debian.org/pkg-multimedia/gmidimonitor.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/gmidimonitor.git

Package: gmidimonitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ application that shows MIDI events
 GMIDImonitor is GTK+ application that shows MIDI events.
 .
 You need to connect desired source of MIDI events to gmidimonitor
 input using some kind of patchbay like qjackctl, patchage. For
 restoring  connections (not connecting every time) you can use LASH.
