=== debian/changelog ===
gmidimonitor (3.5+20110611.git0ca423b0-1) unstable; urgency=low

  * New upstream git snapshot:
    - libglade -> gtkbuilder migration.
  * Disable alsa on non-linux architectures, attempt to fix FTBFS on
    kfreebsd,hurd.
  * Replace libglade2-dev build-dependency with libgtk2.0-dev.

 -- Alessio Treglia <alessio@debian.org>  Sat, 11 Jun 2011 12:17:53 +0200
