## gmidimonitor 3.6

=== debian/changelog ===
gmidimonitor (3.6-2) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Add myself as uploader
  * Added icon and desktop file
  * Added man page

  [ Alessio Treglia ]
  * Improve Debian's menu file (add icon field).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 04 Jul 2011 22:43:09 +0200

gmidimonitor (3.6-1) unstable; urgency=low

  * New upstream release:
    - switch from glade to gtkbuilder (Alessio Treglia)
    - fix transient of the about window (Nedko Arnaudov)

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Jun 2011 13:45:35 +0200
