=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,18 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+EXTRA_CONFIGURE_ARGS += --alsa=no
+endif
+
 WAF = ./waf
 
 %:
 	dh $@ 
 
 override_dh_auto_configure:
-	$(WAF) configure --prefix=/usr
+	$(WAF) configure --prefix=/usr \
+		$(EXTRA_CONFIGURE_ARGS)
 
 override_dh_auto_build:
 	$(WAF)
