=== debian/watch ===
version=3
http://download.gna.org/gmidimonitor/gmidimonitor-(.*)\.tar\.bz2
