## gmidimonitor 3.6%2Bdfsg0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(DEB_HOST_ARCH_OS),linux)
EXTRA_CONFIGURE_ARGS += --alsa=no
endif

WAF = ./waf

%:
	dh $@ 

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		$(EXTRA_CONFIGURE_ARGS)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find waflib -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) --destdir=$(CURDIR)/debian/gmidimonitor install
