## gmidimonitor 3.6+dfsg0

=== wscript ===
--- 
+++ 
@@ -6,7 +6,7 @@
 top = '.'
 out = 'build'
 APPNAME='gmidimonitor'
-VERSION='3.5'
+VERSION='3.6'
 
 optfeatures = {
     'jack': {'description': 'JACK MIDI support',
