=== debian/changelog ===
gmidimonitor (3.6+dfsg0-4) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/rules: Remove trailing whitespaces
  * Use debhelper-compat instead of debian/compat

  [ Olivier Humbert ]
  * Update gmidimonitor-alsa.desktop (add French Name & Comment)
  * Update gmidimonitor-jack.desktop (add French Name & Comment)
  * Update copyright (http -> https)
  * Update copyright (add myself)

  [ Dmitry Baryshkov ]
  * d/patches: switch to Waf 2.0.20
  * d/control, d/rules: use python3 for building (Closes: #967137, #943041)
  * d/patches, d/control: switch to using Gtk3 (Closes: #967433)

 -- Dmitry Baryshkov  <dbaryshkov@gmail.com>  Mon, 28 Sep 2020 20:20:07 +0200

gmidimonitor (3.6+dfsg0-3) unstable; urgency=medium

  * Set dh 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Drop menu file.
  * Fix hardening.
  * Fix spelling in man page.
  * Add .gitignore file.
  * Add Keywords entry to destop files.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Dec 2016 04:18:15 +0100

gmidimonitor (3.6+dfsg0-2) unstable; urgency=low

  * Team upload.
  * debian/copyright:
    - Update to copyright format 1.0
    - Add missing GPL-2+ license stanza.
  * Remove myself from the Uploaders field.
  * Update Vcs fields to meet the canonical form.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Oct 2013 10:29:37 +0100

gmidimonitor (3.6+dfsg0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * added local-option file

  [ Alessio Treglia ]
  * Fix small mistake in debian/copyright.
  * Repack upstream tarball to get rid of the blob 'waf' (Closes: #654469)
  * debian/rules:
    - Don't call waf distclean anymore, use ./waf clean + prune of
      *.pyc files.
  * debian/watch: mangle Debian's versioning.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 16:36:42 +0100
