=== debian/control ===
Source: gmidimonitor
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 TANIGUCHI Takaki <takaki@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper-compat (= 10),
 libasound2-dev,
 libgtk-3-dev,
 libjack-dev,
 pkg-config,
 python3
Standards-Version: 3.9.8
Homepage: http://home.gna.org/gmidimonitor/
Vcs-Git: https://salsa.debian.org/multimedia-team/gmidimonitor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/gmidimonitor

Package: gmidimonitor
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: GTK+ application that shows MIDI events
 GMIDImonitor is GTK+ application that shows MIDI events.
 .
 You need to connect desired source of MIDI events to gmidimonitor
 input using some kind of patchbay like qjackctl, patchage. For
 restoring  connections (not connecting every time) you can use LASH.
