=== debian/rules ===
--- 
+++ 
@@ -6,10 +6,10 @@
 EXTRA_CONFIGURE_ARGS += --alsa=no
 endif
 
-WAF = ./waf
+WAF = python3 ./waf
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
 	$(WAF) configure --prefix=/usr \
